Subject: Re: git fsck exit code?

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 Aug 2014 12:21:12 -0700

Jeff King <[email-masked]> writes:

> On Wed, Aug 27, 2014 at 06:10:12PM -0400, David Turner wrote:
>
>> It looks like git fsck exits with 0 status even if there are some
>> errors. The only case where there's a non-zero exit code is if
>> verify_pack reports errors -- but not e.g. fsck_object_dir.
>
> It will also bail non-zero with _certain_ tree errors that cause git to
> die() rather than fscking more completely.

Even if git does not die, whenever it says broken link, missing
object, or object corrupt, we set errors_found and that variable
affects the exit status of fsck.  What does "some errors" exactly
mean in the original report?  Dangling objects are *not* errors and
should not cause fsck to report an error with its exit status.